# MarkDown相关知识点




### 1.标题相关

要创建标题，请在单词或短语前面添加井号 (#) 。# 的数量代表了标题的级别。例如，添加三个 # 表示创建一个三级标题 (<h3>) (例如：### My Header)。

### 三级标题My Header

## 二级标题My Header

# 一级标题My Header

<img src="./Pictures/image-20250708155340635.png" alt="image-20250708155340635" style="zoom:50%;" />

### 2.标号相关

#### 2.1有序标号

要创建有序列表，请在每个列表项前添加数字并紧跟一个英文句点。数字不必按数学顺序排列，但是列表应当以数字 1 起始。

1. nihao
2. queshi

> 要创建块引用

<img src="./../IAR/Pictures/image-20250710155713655.png" alt="image-20250710155713655" style="zoom:50%;" />

#### 2.2无序标号

要创建无序列表，请在每个列表项前面添加破折号 (-)、星号 (*) 或加号 (+) 。缩进一个或多个列表项可创建嵌套列表。

* 你好

<a id="section1"></a>

* 对的

<img src="./../IAR/Pictures/image-20250710155750585.png" alt="image-20250710155750585" style="zoom:50%;" />

#### 2.3段落

要创建段落，请使用空白行将一行或多行文本进行分隔。

比如这样

分开了

<img src="./Pictures/image-20250708155510443.png" alt="image-20250708155510443" style="zoom: 80%;" />

### 3.文字相关

#### 3.1粗体（Bold）

要加粗文本，请在单词或短语的前后各添加两个星号（asterisks）或下划线（underscores）。如需加粗一个单词或短语的中间部分用以表示强调的话，请在要加粗部分的两侧各添加两个星号（asterisks）。
**星号加粗**

__下划线加粗__

<img src="./Pictures/image-20250708155536014.png" alt="image-20250708155536014" style="zoom:50%;" />

#### 3.2斜体

要用斜体显示文本，请在单词或短语前后添加一个星号（asterisk）或下划线（underscore）。要斜体突出单词的中间部分，请在字母前后各添加一个星号，中间不要带空格。

*型号斜体

_下划线斜体

<img src="./Pictures/image-20250708155601355.png" alt="image-20250708155601355" style="zoom:50%;" />

####  3.3加粗倾斜

要同时用粗体和斜体突出显示文本，请在单词或短语的前后各添加三个星号或下划线。要加粗并用斜体显示单词或短语的中间部分，请在要突出显示的部分前后各添加三个星号，中间不要带空格。

***型号

___下划线

**_混用

<img src="./Pictures/image-20250708155614646.png" alt="image-20250708155614646" style="zoom:50%;" />

#### 3.4删除线

前后加两个~~      ~~~什么~~

~~比如这样~~	

~~也可以只在前面加，但是会删除整行

<img src="./Pictures/image-20250708155628100.png" alt="image-20250708155628100" style="zoom:50%;" />

### 4.代码块

#### 4.1单行代码块

代码块的每一行缩进至少四个空格或一个制表符。

    int a;
    float b;

<img src="./Pictures/image-20250708155650658.png" alt="image-20250708155650658" style="zoom:50%;" />

#### 4.3多行代码块

根据Markdown处理器或编辑器的不同，您将在代码块之前和之后的行上使用三个反引号（(```）或三个波浪号（~~~）。

~~~
#include <stdio.h>
int a;
int b;
~~~

<img src="./Pictures/image-20250708155714755.png" alt="image-20250708155714755" style="zoom:33%;" />

### 5.超链接

#### 5.1文字超链接

链接文本放在中括号内，链接地址放在后面的括号中，链接title可选。

超链接Markdown语法代码：[超链接显示名](超链接地址 "超链接title")

这是个编译器 [点击进入在线编辑器](https://markdown.com.cn/editor/ "这个是MarkDown的在线编译器")

<img src="./Pictures/image-20250708155739721.png" alt="image-20250708155739721" style="zoom:50%;" />

#### 5.2图片超链接

\[![沙漠中的岩石图片](/assets/img/shiprock.jpg "Shiprock")](https://markdown.com.cn)

[![超级凶的狗](https://ts1.tc.mm.bing.net/th/id/R-C.6e8bf84d4d9c57813ca595b36e48bf3b?rik=Zp6MkbBADpgABg&riu=http%3a%2f%2fpic.qianye88.com%2f4kaijic5331ea4-e35d-3baf-8b09-c37769139446.jpeg&ehk=QAtk9bDA1oBGfXSWW8tNWbRuG6jc%2bdegUz0c3BQhdf4%3d&risl=&pid=ImgRaw&r=0 "很凶")]( https://ts1.tc.mm.bing.net/th/id/R-C.6e8bf84d4d9c57813ca595b36e48bf3b?rik=Zp6MkbBADpgABg&riu=http%3a%2f%2fpic.qianye88.com%2f4kaijic5331ea4-e35d-3baf-8b09-c37769139446.jpeg&ehk=QAtk9bDA1oBGfXSWW8tNWbRuG6jc%2bdegUz0c3BQhdf4%3d&risl=&pid=ImgRaw&r=0 )

<img src="./Pictures/image-20250708155800582.png" alt="image-20250708155800582" style="zoom:50%;" />

#### 5.3页面内跳转

[跳转到第一节](#MarkDown相关知识点)

[cc](#section1)


### 6.其他

#### 6.1分割线

要创建分隔线，请在单独一行上使用三个或多个星号 (***)、破折号 (---) 或下划线 (___) ，并且不能包含其他内容。

***

---

___

<img src="./Pictures/image-20250708155842847.png" alt="image-20250708155842847" style="zoom:50%;" />

#### 6.2图片

要添加图像，请使用感叹号 (!), 然后在方括号增加替代文本，图片链接放在圆括号里，括号里的链接后可以增加一个可选的图片标题文本。

![超级凶的狗](https://ts1.tc.mm.bing.net/th/id/R-C.6e8bf84d4d9c57813ca595b36e48bf3b?rik=Zp6MkbBADpgABg&riu=http%3a%2f%2fpic.qianye88.com%2f4kaijic5331ea4-e35d-3baf-8b09-c37769139446.jpeg&ehk=QAtk9bDA1oBGfXSWW8tNWbRuG6jc%2bdegUz0c3BQhdf4%3d&risl=&pid=ImgRaw&r=0 "很凶")

#### 6.3表格

要添加表，请使用三个或多个连字符（---）创建每列的标题，并使用管道（|）分隔每列。您可以选择在表的任一端添加管道。

| 首先|然后|其次|
|:---:|:---|---:|
|nihao|你好|hello|

<img src="./Pictures/image-20250708155916615.png" alt="image-20250708155916615" style="zoom:50%;" />

#### 6.4引用

要创建块引用，请在段落前添加一个 > 符号。

块引用可以包含多个段落。为段落之间的空白行添加一个 > 符号。

块引用可以嵌套。在要嵌套的段落前添加一个 >> 符号。

>有点重复了好像
> > 确实是这样，不过应该没事吧
> > >只好这样了

<img src="./Pictures/image-20250708155941980.png" alt="image-20250708155941980" style="zoom:50%;" />

